# Class XmrConnectionsClient

#### Hierarchy

- XmrConnectionsClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:1010

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorAddConnection
methodDescriptorCheckConnection
methodDescriptorCheckConnections
methodDescriptorGetAutoSwitch
methodDescriptorGetBestAvailableConnection
methodDescriptorGetConnection
methodDescriptorGetConnections
methodDescriptorRemoveConnection
methodDescriptorSetAutoSwitch
methodDescriptorSetConnection
methodDescriptorStartCheckingConnection
methodDescriptorStopCheckingConnection
options_

### Methods

addConnection
checkConnection
checkConnections
getAutoSwitch
getBestAvailableConnection
getConnection
getConnections
removeConnection
setAutoSwitch
setConnection
startCheckingConnection
stopCheckingConnection

## Constructors

### constructor

- new XmrConnectionsClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): XmrConnectionsClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns XmrConnectionsClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1016

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:1011

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1013

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:1012

### methodDescriptorAddConnection

methodDescriptorAddConnection: MethodDescriptor<AddConnectionRequest, AddConnectionReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1029

### methodDescriptorCheckConnection

methodDescriptorCheckConnection: MethodDescriptor<CheckConnectionRequest, CheckConnectionReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1244

### methodDescriptorCheckConnections

methodDescriptorCheckConnections: MethodDescriptor<CheckConnectionsRequest, CheckConnectionsReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1287

### methodDescriptorGetAutoSwitch

methodDescriptorGetAutoSwitch: MethodDescriptor<GetAutoSwitchRequest, GetAutoSwitchReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1502

### methodDescriptorGetBestAvailableConnection

methodDescriptorGetBestAvailableConnection: MethodDescriptor<GetBestAvailableConnectionRequest, GetBestAvailableConnectionReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1416

### methodDescriptorGetConnection

methodDescriptorGetConnection: MethodDescriptor<GetConnectionRequest, GetConnectionReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1115

### methodDescriptorGetConnections

methodDescriptorGetConnections: MethodDescriptor<GetConnectionsRequest, GetConnectionsReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1158

### methodDescriptorRemoveConnection

methodDescriptorRemoveConnection: MethodDescriptor<RemoveConnectionRequest, RemoveConnectionReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1072

### methodDescriptorSetAutoSwitch

methodDescriptorSetAutoSwitch: MethodDescriptor<SetAutoSwitchRequest, SetAutoSwitchReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1459

### methodDescriptorSetConnection

methodDescriptorSetConnection: MethodDescriptor<SetConnectionRequest, SetConnectionReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1201

### methodDescriptorStartCheckingConnection

methodDescriptorStartCheckingConnection: MethodDescriptor<StartCheckingConnectionRequest, StartCheckingConnectionReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1330

### methodDescriptorStopCheckingConnection

methodDescriptorStopCheckingConnection: MethodDescriptor<StopCheckingConnectionRequest, StopCheckingConnectionReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1373

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1014

## Methods

### addConnection

- addConnection(request: AddConnectionRequest, metadata?: null | Metadata): Promise<AddConnectionReply>

- #### Parameters

  - ##### request: AddConnectionRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<AddConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1040
- addConnection(request: AddConnectionRequest, metadata: null | Metadata, callback: ((err: RpcError, response: AddConnectionReply) => void)): ClientReadableStream<AddConnectionReply>

- #### Parameters

  - ##### request: AddConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: AddConnectionReply) => void)

    - - (err: RpcError, response: AddConnectionReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: AddConnectionReply

        #### Returns void

  #### Returns ClientReadableStream<AddConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1044

### checkConnection

- checkConnection(request: CheckConnectionRequest, metadata?: null | Metadata): Promise<CheckConnectionReply>

- #### Parameters

  - ##### request: CheckConnectionRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<CheckConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1255
- checkConnection(request: CheckConnectionRequest, metadata: null | Metadata, callback: ((err: RpcError, response: CheckConnectionReply) => void)): ClientReadableStream<CheckConnectionReply>

- #### Parameters

  - ##### request: CheckConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: CheckConnectionReply) => void)

    - - (err: RpcError, response: CheckConnectionReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CheckConnectionReply

        #### Returns void

  #### Returns ClientReadableStream<CheckConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1259

### checkConnections

- checkConnections(request: CheckConnectionsRequest, metadata?: null | Metadata): Promise<CheckConnectionsReply>

- #### Parameters

  - ##### request: CheckConnectionsRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<CheckConnectionsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1298
- checkConnections(request: CheckConnectionsRequest, metadata: null | Metadata, callback: ((err: RpcError, response: CheckConnectionsReply) => void)): ClientReadableStream<CheckConnectionsReply>

- #### Parameters

  - ##### request: CheckConnectionsRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: CheckConnectionsReply) => void)

    - - (err: RpcError, response: CheckConnectionsReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CheckConnectionsReply

        #### Returns void

  #### Returns ClientReadableStream<CheckConnectionsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1302

### getAutoSwitch

- getAutoSwitch(request: GetAutoSwitchRequest, metadata?: null | Metadata): Promise<GetAutoSwitchReply>

- #### Parameters

  - ##### request: GetAutoSwitchRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetAutoSwitchReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1513
- getAutoSwitch(request: GetAutoSwitchRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetAutoSwitchReply) => void)): ClientReadableStream<GetAutoSwitchReply>

- #### Parameters

  - ##### request: GetAutoSwitchRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetAutoSwitchReply) => void)

    - - (err: RpcError, response: GetAutoSwitchReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetAutoSwitchReply

        #### Returns void

  #### Returns ClientReadableStream<GetAutoSwitchReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1517

### getBestAvailableConnection

- getBestAvailableConnection(request: GetBestAvailableConnectionRequest, metadata?: null | Metadata): Promise<GetBestAvailableConnectionReply>

- #### Parameters

  - ##### request: GetBestAvailableConnectionRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetBestAvailableConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1427
- getBestAvailableConnection(request: GetBestAvailableConnectionRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetBestAvailableConnectionReply) => void)): ClientReadableStream<GetBestAvailableConnectionReply>

- #### Parameters

  - ##### request: GetBestAvailableConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetBestAvailableConnectionReply) => void)

    - - (err: RpcError, response: GetBestAvailableConnectionReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetBestAvailableConnectionReply

        #### Returns void

  #### Returns ClientReadableStream<GetBestAvailableConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1431

### getConnection

- getConnection(request: GetConnectionRequest, metadata?: null | Metadata): Promise<GetConnectionReply>

- #### Parameters

  - ##### request: GetConnectionRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1126
- getConnection(request: GetConnectionRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetConnectionReply) => void)): ClientReadableStream<GetConnectionReply>

- #### Parameters

  - ##### request: GetConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetConnectionReply) => void)

    - - (err: RpcError, response: GetConnectionReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetConnectionReply

        #### Returns void

  #### Returns ClientReadableStream<GetConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1130

### getConnections

- getConnections(request: GetConnectionsRequest, metadata?: null | Metadata): Promise<GetConnectionsReply>

- #### Parameters

  - ##### request: GetConnectionsRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetConnectionsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1169
- getConnections(request: GetConnectionsRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetConnectionsReply) => void)): ClientReadableStream<GetConnectionsReply>

- #### Parameters

  - ##### request: GetConnectionsRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetConnectionsReply) => void)

    - - (err: RpcError, response: GetConnectionsReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetConnectionsReply

        #### Returns void

  #### Returns ClientReadableStream<GetConnectionsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1173

### removeConnection

- removeConnection(request: RemoveConnectionRequest, metadata?: null | Metadata): Promise<RemoveConnectionReply>

- #### Parameters

  - ##### request: RemoveConnectionRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<RemoveConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1083
- removeConnection(request: RemoveConnectionRequest, metadata: null | Metadata, callback: ((err: RpcError, response: RemoveConnectionReply) => void)): ClientReadableStream<RemoveConnectionReply>

- #### Parameters

  - ##### request: RemoveConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: RemoveConnectionReply) => void)

    - - (err: RpcError, response: RemoveConnectionReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RemoveConnectionReply

        #### Returns void

  #### Returns ClientReadableStream<RemoveConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1087

### setAutoSwitch

- setAutoSwitch(request: SetAutoSwitchRequest, metadata?: null | Metadata): Promise<SetAutoSwitchReply>

- #### Parameters

  - ##### request: SetAutoSwitchRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<SetAutoSwitchReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1470
- setAutoSwitch(request: SetAutoSwitchRequest, metadata: null | Metadata, callback: ((err: RpcError, response: SetAutoSwitchReply) => void)): ClientReadableStream<SetAutoSwitchReply>

- #### Parameters

  - ##### request: SetAutoSwitchRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: SetAutoSwitchReply) => void)

    - - (err: RpcError, response: SetAutoSwitchReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SetAutoSwitchReply

        #### Returns void

  #### Returns ClientReadableStream<SetAutoSwitchReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1474

### setConnection

- setConnection(request: SetConnectionRequest, metadata?: null | Metadata): Promise<SetConnectionReply>

- #### Parameters

  - ##### request: SetConnectionRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<SetConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1212
- setConnection(request: SetConnectionRequest, metadata: null | Metadata, callback: ((err: RpcError, response: SetConnectionReply) => void)): ClientReadableStream<SetConnectionReply>

- #### Parameters

  - ##### request: SetConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: SetConnectionReply) => void)

    - - (err: RpcError, response: SetConnectionReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SetConnectionReply

        #### Returns void

  #### Returns ClientReadableStream<SetConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1216

### startCheckingConnection

- startCheckingConnection(request: StartCheckingConnectionRequest, metadata?: null | Metadata): Promise<StartCheckingConnectionReply>

- #### Parameters

  - ##### request: StartCheckingConnectionRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<StartCheckingConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1341
- startCheckingConnection(request: StartCheckingConnectionRequest, metadata: null | Metadata, callback: ((err: RpcError, response: StartCheckingConnectionReply) => void)): ClientReadableStream<StartCheckingConnectionReply>

- #### Parameters

  - ##### request: StartCheckingConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: StartCheckingConnectionReply) => void)

    - - (err: RpcError, response: StartCheckingConnectionReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: StartCheckingConnectionReply

        #### Returns void

  #### Returns ClientReadableStream<StartCheckingConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1345

### stopCheckingConnection

- stopCheckingConnection(request: StopCheckingConnectionRequest, metadata?: null | Metadata): Promise<StopCheckingConnectionReply>

- #### Parameters

  - ##### request: StopCheckingConnectionRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<StopCheckingConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1384
- stopCheckingConnection(request: StopCheckingConnectionRequest, metadata: null | Metadata, callback: ((err: RpcError, response: StopCheckingConnectionReply) => void)): ClientReadableStream<StopCheckingConnectionReply>

- #### Parameters

  - ##### request: StopCheckingConnectionRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: StopCheckingConnectionReply) => void)

    - - (err: RpcError, response: StopCheckingConnectionReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: StopCheckingConnectionReply

        #### Returns void

  #### Returns ClientReadableStream<StopCheckingConnectionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1388

Generated using TypeDoc